netCDF::NcDim Class Reference

`#include <ncDim.h>`

## Public Member Functions

int | getId () const
std::string | getName () const
NcGroup | getParentGroup () const
size_t | getSize () const
bool | isNull () const
bool | isUnlimited () const
| NcDim ()
| NcDim (const NcDim &ncDim)
| NcDim (const NcGroup &grp, int dimId)
bool | operator!= (const NcDim &rhs) const
NcDim & | operator= (const NcDim &)
bool | operator== (const NcDim &rhs) const
void | rename (const std::string &newName)
| ~NcDim ()

## Friends

bool | operator< (const NcDim &lhs, const NcDim &rhs)
bool | operator> (const NcDim &lhs, const NcDim &rhs)

## Detailed Description

Class represents a netCDF dimension

## Constructor & Destructor Documentation

## ~NcDim()

netCDF::NcDim::~NcDim | ( |  | ) |

inline

destructor

## NcDim() [1/3]

NcDim::NcDim | ( |  | ) |

Constructor generates a null object.

## NcDim() [2/3]

NcDim::NcDim | ( | const NcGroup & | grp,
|  | int | dimId )

Constructor for a dimension . The dimension must already exist in the netCDF file. New netCDF variables can be added using NcGroup::addNcDim();

Parameters

  grp | Parent NcGroup object.
  dimId | Id of the NcDim object.

## NcDim() [3/3]

NcDim::NcDim | ( | const NcDim & | ncDim | ) |

The copy constructor.

## Member Function Documentation

## getId()

int netCDF::NcDim::getId | ( |  | ) | const

inline

The netCDF Id of this dimension.

## getName()

string NcDim::getName | ( |  | ) | const

The name of this dimension.

## getParentGroup()

NcGroup NcDim::getParentGroup | ( |  | ) | const

Gets a NcGroup object of the parent group.

## getSize()

size_t NcDim::getSize | ( |  | ) | const

The size of the dimension; for unlimited, this is the number of records written so far.

## isNull()

bool netCDF::NcDim::isNull | ( |  | ) | const

inline

Returns true if this object is null (i.e. it has no contents); otherwise returns false.

## isUnlimited()

bool NcDim::isUnlimited | ( |  | ) | const

Returns true if this is an unlimited dimension

## operator!=()

bool NcDim::operator!= | ( | const NcDim & | rhs | ) | const

!= operator

## operator=()

NcDim & NcDim::operator= | ( | const NcDim & | rhs | ) |

assignment operator

## operator==()

bool NcDim::operator== | ( | const NcDim & | rhs | ) | const

equivalence operator

## rename()

void NcDim::rename | ( | const std::string & | newName | ) |

renames the dimension

## Friends And Related Symbol Documentation

## operator<

bool operator< | ( | const NcDim & | lhs,
|  | const NcDim & | rhs )

friend

comparator operator

## operator>

bool operator> | ( | const NcDim & | lhs,
|  | const NcDim & | rhs )

friend

comparator operator

The documentation for this class was generated from the following files:

- ncDim.h
- ncDim.cpp